<?xml version="1.0" encoding="utf-8"?>
<CaR>
<Macro Name="Perpendicular Bisector">
<Parameter name="P1">P1</Parameter>
<Parameter name="P2">P2</Parameter>
<Comment>
<P>Middle perpendicular line of P1 and P2.</P>
</Comment>
<Objects>
<Point name="P1" mainparameter="true" x="-4.225" y="0.01250000000000018">Punkt in -4.225, 0.01250000000000018</Point>
<Point name="P2" mainparameter="true" x="1.4499999999999993" y="1.8125">Punkt in 1.4499999999999993, 1.8125</Point>
<Circle name="k1" hidden="super" through="P2" midpoint="P1" acute="true">Kreis um P1 durch P2</Circle>
<Circle name="k2" hidden="super" through="P1" midpoint="P2" acute="true">Kreis um P2 durch P1</Circle>
<Intersection name="S1" hidden="super" first="k1" second="k2" which="second">Schnitt zwischen k1 und k2</Intersection>
<Intersection name="S2" hidden="super" first="k2" second="k1" which="second">Schnitt zwischen k2 und k1</Intersection>
<Line name="g1" target="true" from="S1" to="S2">Middle perpendicular of S1 and S2</Line>
</Objects>
</Macro>
<Macro Name="Reflection at a Line">
<Parameter name="g1">g</Parameter>
<Parameter name="P3">P</Parameter>
<Comment>
<P>Reflect P at g.</P>
</Comment>
<Objects>
<Line name="g1" mainparameter="true">???</Line>
<Point name="P3" mainparameter="true" x="-1.4000000000000001" y="3.34">Punkt in -1.4000000000000001, 3.34</Point>
<Plumb name="l1" hidden="super" point="P3" line="g1" valid="true">Lot durch P3 zu g1</Plumb>
<Intersection name="S1" hidden="super" first="l1" second="g1">Schnitt zwischen l1 und g1</Intersection>
<Circle name="k1" hidden="super" through="P3" midpoint="S1" acute="true">Kreis um S1 durch P3</Circle>
<Intersection name="S2" target="true" first="l1" second="k1" awayfrom="P3" which="second">Schnitt zwischen l1 und k1</Intersection>
</Objects>
</Macro>
<Macro Name="Reflection at a Circle">
<Parameter name="k">k</Parameter>
<Parameter name="P">P</Parameter>
<Comment>
<P>Reflect P at the circle k.</P>
</Comment>
<Objects>
<Point name="P1" parameter="true" x="-0.72" y="-0.89">Punkt in -0.72, -0.89</Point>
<Circle name="k" mainparameter="true" midpoint="P1">???</Circle>
<Point name="P" mainparameter="true" x="1.45" y="1.86">Punkt in 1.45, 1.86</Point>
<Ray name="r1" hidden="super" from="P1" to="P">Strahl von P1 in Richtung P</Ray>
<Circle name="k2" hidden="super" fixed="k^2.0/d(P,P1)" midpoint="P1" acute="true">Kreis um P1 mit Radius 6.738402</Circle>
<Intersection name="S1" target="true" first="r1" second="k2" which="first">Schnitt zwischen r1 und k2</Intersection>
</Objects>
</Macro>
<Macro Name="Reflection at a Point">
<Parameter name="P1">O</Parameter>
<Parameter name="P2">P</Parameter>
<Comment>
<P>Reflection of P at the point O.</P>
</Comment>
<Objects>
<Point name="P1" mainparameter="true" x="0.15000000000000038" y="-0.4874999999999998">Punkt in 0.15000000000000038, -0.4874999999999998</Point>
<Point name="P2" mainparameter="true" x="-2.7800000000000002" y="-2.54">Punkt in -2.7800000000000002, -2.54</Point>
<Ray name="r1" hidden="super" from="P2" to="P1">Strahl von P2 in Richtung P1</Ray>
<Circle name="k1" hidden="super" through="P2" midpoint="P1" acute="true">Kreis um P1 durch P2</Circle>
<Intersection name="S1" target="true" first="r1" second="k1" awayfrom="P2" which="first">Schnitt zwischen r1 und k1</Intersection>
</Objects>
</Macro>
<Macro Name="Angle Bisector as Line">
<Parameter name="P1">P1</Parameter>
<Parameter name="P2">P2</Parameter>
<Parameter name="P3">P3</Parameter>
<Comment>
<P>Angle bisector of angle P1P2P3 as line.</P>
</Comment>
<Objects>
<Point name="P1" mainparameter="true" x="-5.25" y="4.59">Punkt in -5.25, 4.59</Point>
<Point name="P2" mainparameter="true" x="-0.875" y="-3.237500000000001">Punkt in -0.875, -3.237500000000001</Point>
<Point name="P3" mainparameter="true" x="3.5250000000000012" y="2.6875">Punkt in 3.5250000000000012, 2.6875</Point>
<Ray name="r1" hidden="true" from="P2" to="P1">Strahl von P2 in Richtung P1</Ray>
<Circle name="k1" hidden="true" through="P3" midpoint="P2" acute="true">Kreis um P2 durch P3</Circle>
<Intersection name="S1" hidden="true" first="r1" second="k1" which="first">Schnitt zwischen r1 und k1</Intersection>
<Circle name="k2" hidden="super" through="P3" midpoint="S1" acute="true">Kreis um S1 durch P3</Circle>
<Circle name="k3" hidden="super" through="S1" midpoint="P3" acute="true">Kreis um P3 durch S1</Circle>
<Intersection name="S2" hidden="super" first="k2" second="k3" which="second">Schnitt zwischen k2 und k3</Intersection>
<Intersection name="S3" hidden="super" first="k3" second="k2" which="second">Schnitt zwischen k3 und k2</Intersection>
<Line name="g1" target="true" from="S2" to="S3">Gerade durch S2 und S3</Line>
</Objects>
</Macro>
<Macro Name="Angle Bisector as Ray">
<Parameter name="P1">P1</Parameter>
<Parameter name="P2">P2</Parameter>
<Parameter name="P3">P3</Parameter>
<Comment>
<P>Angle bisector of angle P1P2P3 as ray.</P>
</Comment>
<Objects>
<Point name="P1" mainparameter="true" x="-4.100000000000001" y="4.26">Punkt in -4.100000000000001, 4.26</Point>
<Point name="P2" mainparameter="true" x="-0.5250000000000007" y="-2.6875">Punkt in -0.5250000000000007, -2.6875</Point>
<Point name="P3" mainparameter="true" x="3.425000000000001" y="2.7875">Punkt in 3.425000000000001, 2.7875</Point>
<Ray name="r1" hidden="super" from="P2" to="P1">Strahl von P2 in Richtung P1</Ray>
<Circle name="k1" hidden="super" through="P3" midpoint="P2" acute="true">Kreis um P2 durch P3</Circle>
<Intersection name="S1" hidden="super" first="r1" second="k1" which="first">Schnitt zwischen r1 und k1</Intersection>
<Midpoint name="M1" hidden="super" first="S1" second="P3">Mitte zwischen S1 und P3</Midpoint>
<Ray name="r2" target="true" from="P2" to="M1">Strahl von P2 in Richtung M1</Ray>
</Objects>
</Macro>
<Macro Name="Projection of Point to Line">
<Parameter name="g1">g</Parameter>
<Parameter name="P3">P</Parameter>
<Comment>
<P>Projects P to the line g.</P>
</Comment>
<Objects>
<Line name="g1" mainparameter="true">???</Line>
<Point name="P3" mainparameter="true" x="1.675041876046901" y="2.4656616415410397">Punkt in 1.675041876046901, 2.4656616415410397</Point>
<Plumb name="l1" hidden="super" point="P3" line="g1" valid="true">Lot durch P3 zu g1</Plumb>
<Intersection name="S1" target="true" first="g1" second="l1">Schnitt zwischen g1 und l1</Intersection>
</Objects>
</Macro>
</CaR>
