<?xml version="1.0" encoding="utf-8"?>
<CaR>
<Macro Name="Bezier/Bezier 3">
<Parameter name="P1">P1</Parameter>
<Parameter name="P2">P2</Parameter>
<Parameter name="P3">P3</Parameter>
<Comment>
<P>Bezier curve using three points.</P>
</Comment>
<Objects>
<Point name="P1" n="0" mainparameter="true" x="-3.596899224806202" y="0.1033591731266146">Punkt in -3.5969, 0.10336</Point>
<Point name="P2" n="1" mainparameter="true" x="-1.2816500000000006" y="4.8372100000000025">Punkt in -1.28165, 4.83721</Point>
<Point name="P3" n="2" mainparameter="true" x="4.217054263565895" y="-0.909560723514212">Punkt in 4.21705, -0.90956</Point>
<Function name="F1" n="3" color="2" target="true" x="x(P1)*(1-t)^2+2*x(P2)*(1-t)*t+x(P3)*t^2" y="y(P1)*(1-t)^2+2*y(P2)*(1-t)*t+y(P3)*t^2" var="t" min="0" max="1" d="0.01">Funktion ( x(P1)*(1-t)^2+2*x(P2)*(1-t)*t+x(P3)*t^2 , y(P1)*(1-t)^2+2*y(P2)*(1-t)*t+y(P3)*t^2 )</Function>
</Objects>
</Macro>
<Macro Name="Bezier/Bezier 4">
<Parameter name="P1">P1</Parameter>
<Parameter name="P2">P2</Parameter>
<Parameter name="P3">P3</Parameter>
<Parameter name="P4">P4</Parameter>
<Comment>
<P>Bezier curve using four points.</P>
</Comment>
<Objects>
<Point name="P1" n="0" mainparameter="true" x="-6.304909560723514" y="-0.20671834625323005">Punkt in -6.30491, -0.20672</Point>
<Point name="P2" n="1" mainparameter="true" x="-6.139534883720931" y="3.1834625322997425">Punkt in -6.13953, 3.18346</Point>
<Point name="P3" n="2" mainparameter="true" x="-1.9431524547803614" y="3.9069767441860486">Punkt in -1.94315, 3.90698</Point>
<Point name="P4" n="3" mainparameter="true" x="-1.0749354005167957" y="-0.04134366925064637">Punkt in -1.07494, -0.04134</Point>
<Function name="F1" n="4" color="2" target="true" x="x(P1)*(1-t)^3+3*x(P2)*(1-t)^2*t+3*x(P3)*(1-t)*t^2+x(P4)*t^3" y="y(P1)*(1-t)^3+3*y(P2)*(1-t)^2*t+3*y(P3)*(1-t)*t^2+y(P4)*t^3" var="t" min="0" max="1" d="0.01">Funktion ( x(P1)*(1-t)^3+3*x(P2)*(1-t)^2*t+3*x(P3)*(1-t)*t^2+x(P4)*t^3 , y(P1)*(1-t)^3+3*y(P2)*(1-t)^2*t+3*y(P3)*(1-t)*t^2+y(P4)*t^3 )</Function>
</Objects>
</Macro>
<Macro Name="Bezier/Jordan Curve 4">
<Parameter name="P1">P1</Parameter>
<Parameter name="P2">P2</Parameter>
<Parameter name="P3">P3</Parameter>
<Parameter name="P4">P4</Parameter>
<Comment>
<P>Jordan curve (closed curve) with four support points.</P>
</Comment>
<Objects>
<Point name="P1" n="0" mainparameter="true" x="-4.925984251968504" y="-3.149606299212598">Punkt in -4.92598, -3.14961</Point>
<Point name="P2" n="1" mainparameter="true" x="-1.2724409448818896" y="4.1070866141732285">Punkt in -1.27244, 4.10709</Point>
<Point name="P3" n="2" mainparameter="true" x="6.387401574803151" y="-1.1590551181102366">Punkt in 6.3874, -1.15906</Point>
<Point name="P4" n="3" mainparameter="true" x="1.4992125984251978" y="-5.014173228346456">Punkt in 1.49921, -5.01417</Point>
<Midpoint name="M1" n="4" hidden="super" first="P1" second="P2">Mitte zwischen P1 und P2</Midpoint>
<Midpoint name="M2" n="5" hidden="super" first="P2" second="P3">Mitte zwischen P2 und P3</Midpoint>
<Midpoint name="M3" n="6" hidden="super" first="P3" second="P4">Mitte zwischen P3 und P4</Midpoint>
<Midpoint name="M4" n="7" hidden="super" first="P4" second="P1">Mitte zwischen P4 und P1</Midpoint>
<Function name="F1" n="8" color="2" target="true" x="x(M4)*(1-t)^2+2*x(P1)*(1-t)*t+x(M1)*t^2" y="y(M4)*(1-t)^2+2*y(P1)*(1-t)*t+y(M1)*t^2" var="t" min="0" max="1" d="0.01">Funktion ( x(M4)*(1-t)^2+2*x(P1)*(1-t)*t+x(M1)*t^2 , y(M4)*(1-t)^2+2*y(P1)*(1-t)*t+y(M1)*t^2 )</Function>
<Function name="F2" n="9" color="2" target="true" x="x(M1)*(1-t)^2+2*x(P2)*(1-t)*t+x(M2)*t^2" y="y(M1)*(1-t)^2+2*y(P2)*(1-t)*t+y(M2)*t^2" var="t" min="0" max="1" d="0.01">Funktion ( x(M1)*(1-t)^2+2*x(P2)*(1-t)*t+x(M2)*t^2 , y(M1)*(1-t)^2+2*y(P2)*(1-t)*t+y(M2)*t^2 )</Function>
<Function name="F3" n="10" color="2" target="true" x="x(M2)*(1-t)^2+2*x(P3)*(1-t)*t+x(M3)*t^2" y="y(M2)*(1-t)^2+2*y(P3)*(1-t)*t+y(M3)*t^2" var="t" min="0" max="1" d="0.01">Funktion ( x(M2)*(1-t)^2+2*x(P3)*(1-t)*t+x(M3)*t^2 , y(M2)*(1-t)^2+2*y(P3)*(1-t)*t+y(M3)*t^2 )</Function>
<Function name="F4" n="11" color="2" target="true" x="x(M3)*(1-t)^2+2*x(P4)*(1-t)*t+x(M4)*t^2" y="y(M3)*(1-t)^2+2*y(P4)*(1-t)*t+y(M4)*t^2" var="t" min="0" max="1" d="0.01">Funktion ( x(M3)*(1-t)^2+2*x(P4)*(1-t)*t+x(M4)*t^2 , y(M3)*(1-t)^2+2*y(P4)*(1-t)*t+y(M4)*t^2 )</Function>
</Objects>
</Macro>
<Macro Name="Bezier/Rational Bezier Curve">
<Parameter name="P1">P1</Parameter>
<Parameter name="P2">P2</Parameter>
<Parameter name="P3">P3</Parameter>
<Comment>
<P>Rational Bezier Curve of Degree 3 with a parameter a.</P>
</Comment>
<Objects>
<Point name="P1" n="0" mainparameter="true" x="0.0" y="1.0">Punkt in 0.0, 1.0</Point>
<Point name="P2" n="1" mainparameter="true" x="1.0" y="1.0">Punkt in 1.0, 1.0</Point>
<Point name="P3" n="2" mainparameter="true" x="1.0" y="0.0">Punkt in 1.0, 0.0</Point>
<Expression name="AD1" n="3" hidden="super" showvalue="true" x="1.125" y="0.625" value="0.7000000000000005" prompt="Wert">Ausdruck &quot;0.7000000000000005&quot; in 1.125, 0.625</Expression>
<Function name="F1" n="4" color="2" target="true" x="(x(P1)*(1-t)^2+2*AD1*x(P2)*(1-t)*t+x(P3)*t^2)/((1-t)^2+2*AD1*(1-t)*t+t^2)" y="(y(P1)*(1-t)^2+2*AD1*y(P2)*(1-t)*t+y(P3)*t^2)/((1-t)^2+2*AD1*(1-t)*t+t^2)" var="t" min="0" max="1" d="0.01">Funktion ( (x(P1)*(1-t)^2+2*AD1*x(P2)*(1-t)*t+x(P3)*t^2)/((1-t)^2+2*AD1*(1-t)*t+t^2) , (y(P1)*(1-t)^2+2*AD1*y(P2)*(1-t)*t+y(P3)*t^2)/((1-t)^2+2*AD1*(1-t)*t+t^2) )</Function>
</Objects>
<PromptFor object0="AD1" prompt0="a"/>
</Macro>
</CaR>
