<?xml version="1.0" encoding="utf-8"?>
<CaR version="8.86">
<Macro Name="Ellipses/Ellipse from 3 Points">
<Parameter name="P1">A</Parameter>
<Parameter name="P2">M</Parameter>
<Parameter name="P3">P</Parameter>
<Comment>
<P>Constructs an ellipse from center and two points.</P>
</Comment>
<Objects>
<Point name="P1" n="0" mainparameter="true" x="3.673716012084592" y="0.48338368580060403">Punkt in 3.67372, 0.48338</Point>
<Point name="P2" n="1" mainparameter="true" x="-0.4108761329305137" y="-1.474320241691843">Punkt in -0.41088, -1.47432</Point>
<Point name="P3" n="2" mainparameter="true" x="-0.24" y="1.86">Punkt in -0.24, 1.86</Point>
<Line name="g1" n="3" color="1" hidden="super" from="P2" to="P1">Gerade durch P2 und P1</Line>
<Line name="g2" n="4" color="1" hidden="super" from="P2" to="P3">Gerade durch P2 und P3</Line>
<Circle name="k1" n="5" color="1" hidden="super" through="P3" midpoint="P2">Kreis um P2 durch P3</Circle>
<Intersection name="S1" n="6" color="1" hidden="super" first="g2" second="k1" awayfrom="P3" which="second">Schnitt zwischen g2 und k1</Intersection>
<Circle name="k2" n="7" color="1" hidden="super" through="P1" midpoint="P2">Kreis um P2 durch P1</Circle>
<Intersection name="S2" n="8" color="1" hidden="super" first="g1" second="k2" awayfrom="P1" which="second">Schnitt zwischen g1 und k2</Intersection>
<Circle name="k3" n="9" color="2" hidden="super" through="P1" midpoint="P2">Kreis um P2 durch P1</Circle>
<Plumb name="l1" n="10" color="2" hidden="super" point="P3" line="g1" valid="true">Lot durch P3 zu g1</Plumb>
<Intersection name="S3" n="11" color="2" hidden="super" first="l1" second="k3" which="first">Schnitt zwischen l1 und k3</Intersection>
<Midpoint name="M1" n="12" color="2" hidden="super" first="S3" second="P1">Mitte zwischen S3 und P1</Midpoint>
<Line name="g3" n="13" color="2" hidden="super" from="P2" to="M1">Gerade durch P2 und M1</Line>
<Intersection name="S4" n="14" color="3" hidden="super" first="g3" second="k3" which="first">Schnitt zwischen g3 und k3</Intersection>
<Line name="g4" n="15" color="3" hidden="super" from="S3" to="S4">Gerade durch S3 und S4</Line>
<Intersection name="S5" n="16" color="3" hidden="super" first="g4" second="g1">Schnitt zwischen g4 und g1</Intersection>
<Line name="g5" n="17" color="3" hidden="super" from="S5" to="P3">Gerade durch S5 und P3</Line>
<Plumb name="l2" n="18" color="3" hidden="super" point="S4" line="g1" valid="true">Lot durch S4 zu g1</Plumb>
<Intersection name="S6" n="19" color="3" hidden="super" first="g5" second="l2">Schnitt zwischen g5 und l2</Intersection>
<Quadric name="Q1" n="20" color="3" point1="P1" point2="S6" point3="P3" point4="S2" point5="S1">Kegelschnitt durch P1, S6, P3, S2, S1</Quadric>
</Objects>
</Macro>
<Macro Name="Ellipses/Ellipse from Focal Points">
<Parameter name="P1">Focus A</Parameter>
<Parameter name="P2">Focus B</Parameter>
<Parameter name="P3">Point on Ellipse P</Parameter>
<Comment>
<P>Constructs an ellipse with focal points A and B through P.</P>
</Comment>
<Objects>
<Point name="P1" n="0" fillbackground="false" x="-3.6799999999999997" y="-2.5142857142857142">Punkt in -3.68, -2.51429</Point>
<Point name="P2" n="1" fillbackground="false" x="2.4000000000000004" y="2.057142857142858">Punkt in 2.4, 2.05714</Point>
<Point name="P3" n="2" fillbackground="false" x="0.6400000000000006" y="3.9771428571428578">Punkt in 0.64, 3.97714</Point>
<Line name="g1" n="3" color="2" hidden="super" from="P1" to="P3">Gerade durch P1 und P3</Line>
<Circle name="k1" n="4" color="2" hidden="super" through="P2" midpoint="P3" acute="true">Kreis um P3 durch P2</Circle>
<Intersection name="S1" n="5" color="2" hidden="super" first="g1" second="k1" awayfrom="P1" shape="circle" which="first">Schnitt zwischen g1 und k1</Intersection>
<Circle name="k2" n="6" color="2" hidden="super" through="S1" midpoint="P1" acute="true">Kreis um P1 durch S1</Circle>
<PointOn name="OP4" n="7" color="2" hidden="super" on="k2" alpha="1.7303480477281596" x="-5.332642455006639" y="7.755706684683911" shape="circle">Punkt auf k2</PointOn>
<Line name="g2" n="8" color="2" hidden="super" from="P1" to="OP4">Gerade durch P1 und OP4</Line>
<Circle name="k3" n="9" color="2" hidden="super" through="P2" midpoint="OP4" acute="true">Kreis um OP4 durch P2</Circle>
<Circle name="k4" n="10" color="2" hidden="super" through="OP4" midpoint="P2" acute="true">Kreis um P2 durch OP4</Circle>
<Intersection name="S2" n="11" color="2" hidden="super" first="k3" second="k4" which="second">Schnitt zwischen k3 und k4</Intersection>
<Intersection name="S3" n="12" color="2" hidden="super" first="k4" second="k3" which="second">Schnitt zwischen k4 und k3</Intersection>
<Line name="g3" n="13" color="2" hidden="super" from="S2" to="S3">Gerade durch S2 und S3</Line>
<Intersection name="S4" n="14" color="2" hidden="super" first="g2" second="g3" shape="circle">Schnitt zwischen g2 und g3</Intersection>
<Track name="Tr1" n="15" color="2" target="true" point="OP4" on="k2" track="S4" dmin="0.0010">Spur von S4 während OP4 sich auf k2 bewegt</Track>
</Objects>
</Macro>
<Macro Name="Ellipses/Quarter Ellipse">
<Parameter name="P6">A</Parameter>
<Parameter name="P5">Center</Parameter>
<Parameter name="P4">B</Parameter>
<Comment>
<P>A quarter ellipse, which can also be filled.</P>
</Comment>
<Objects>
<Point name="P4" n="0" x="1.770253929866989" y="3.588875453446192">Punkt in 1.77025, 3.58888</Point>
<Point name="P5" n="1" x="-2.7376058041112454" y="1.2478839177750904">Punkt in -2.73761, 1.24788</Point>
<Point name="P6" n="2" x="2.56348246674728" y="-0.45465538089480084">Punkt in 2.56348, -0.45466</Point>
<Function name="F1" n="3" color="2" target="true" x="x(P5)+(x(P4)-x(P5))*cos(t)+(x(P6)-x(P5))*sin(t)" y="y(P5)+(y(P4)-y(P5))*cos(t)+(y(P6)-y(P5))*sin(t)" var="t" min="0" max="90" d="1" center="P5">Funktion ( x(P5)+(x(P4)-x(P5))*cos(t)+(x(P6)-x(P5))*sin(t) , y(P5)+(y(P4)-y(P5))*cos(t)+(y(P6)-y(P5))*sin(t) )</Function>
</Objects>
</Macro>
</CaR>
