<?xml version="1.0" encoding="utf-8"?>
<CaR>
<Macro Name="NGons/Hexagon">
<Parameter name="P1">P</Parameter>
<Parameter name="P2">Q</Parameter>
<Comment>
<P>Generates a hexagon on one side.</P>
</Comment>
<Objects>
<Point name="P1" n="0" mainparameter="true" x="-2.7750000000000012" y="-0.2125000000000004">Punkt in -2.775, -0.2125</Point>
<Point name="P2" n="1" mainparameter="true" x="-0.8" y="-0.21">Punkt in -0.8, -0.21</Point>
<Segment name="s1" n="2" target="true" from="P1" to="P2">Strecke von P1 nach P2</Segment>
<Circle name="k1" n="3" hidden="super" through="P2" midpoint="P1" acute="true">Kreis um P1 durch P2</Circle>
<Circle name="k2" n="4" hidden="super" through="P1" midpoint="P2" acute="true">Kreis um P2 durch P1</Circle>
<Intersection name="S1" n="5" hidden="super" first="k1" second="k2" which="second">Schnitt zwischen k1 und k2</Intersection>
<Circle name="k3" n="6" hidden="super" through="P2" midpoint="S1" acute="true">Kreis um S1 durch P2</Circle>
<Intersection name="S2" n="7" target="true" first="k3" second="k2" which="second">Schnitt zwischen k3 und k2</Intersection>
<Circle name="k4" n="8" hidden="super" through="P2" midpoint="S2" acute="true">Kreis um S2 durch P2</Circle>
<Intersection name="S3" n="9" target="true" first="k4" second="k3" awayfrom="P2" which="first">Schnitt zwischen k4 und k3</Intersection>
<Circle name="k5" n="10" hidden="super" through="S2" midpoint="S3" acute="true">Kreis um S3 durch S2</Circle>
<Intersection name="S4" n="11" target="true" first="k3" second="k5" which="second">Schnitt zwischen k3 und k5</Intersection>
<Circle name="k6" n="12" hidden="super" through="S3" midpoint="S4" acute="true">Kreis um S4 durch S3</Circle>
<Intersection name="S5" n="13" target="true" first="k6" second="k1" which="first">Schnitt zwischen k6 und k1</Intersection>
<Segment name="s2" n="14" target="true" from="P1" to="S5">Strecke von P1 nach S5</Segment>
<Segment name="s3" n="15" target="true" from="S5" to="S4">Strecke von S5 nach S4</Segment>
<Segment name="s4" n="16" target="true" from="S4" to="S3">Strecke von S4 nach S3</Segment>
<Segment name="s5" n="17" target="true" from="S3" to="S2">Strecke von S3 nach S2</Segment>
<Segment name="s6" n="18" target="true" from="S2" to="P2">Strecke von S2 nach P2</Segment>
</Objects>
</Macro>
<Macro Name="NGons/Pentagon">
<Parameter name="P1">M</Parameter>
<Parameter name="P2">P</Parameter>
<Comment>
<P>Generates a square from center and corner.</P>
</Comment>
<Objects>
<Point name="P1" n="0" mainparameter="true" x="-1.3250000000000006" y="0.2125000000000004">Punkt in -1.325, 0.2125</Point>
<Point name="P2" n="1" mainparameter="true" x="1.6999999999999993" y="2.612500000000001">Punkt in 1.7, 2.6125</Point>
<Circle name="k1" n="2" hidden="super" through="P2" midpoint="P1" acute="true">Kreis um P1 durch P2</Circle>
<Angle name="w1" n="3" hidden="super" first="P2" root="P1" fixed="72" acute="true">Fester Winkel P2 - P1 mit Größe 72</Angle>
<Intersection name="S1" n="4" target="true" first="w1" second="k1" which="first">Schnitt zwischen w1 und k1</Intersection>
<Angle name="w2" n="5" hidden="super" first="S1" root="P1" fixed="72" acute="true">Fester Winkel S1 - P1 mit Größe 72</Angle>
<Intersection name="S2" n="6" target="true" first="w2" second="k1" which="first">Schnitt zwischen w2 und k1</Intersection>
<Angle name="w3" n="7" hidden="super" first="S2" root="P1" fixed="72" acute="true">Fester Winkel S2 - P1 mit Größe 72</Angle>
<Intersection name="S3" n="8" target="true" first="w3" second="k1" which="first">Schnitt zwischen w3 und k1</Intersection>
<Angle name="w4" n="9" hidden="super" first="S3" root="P1" fixed="72" acute="true">Fester Winkel S3 - P1 mit Größe 72</Angle>
<Segment name="s1" n="10" target="true" from="P2" to="S1">Strecke von P2 nach S1</Segment>
<Segment name="s2" n="11" target="true" from="S1" to="S2">Strecke von S1 nach S2</Segment>
<Segment name="s3" n="12" target="true" from="S2" to="S3">Strecke von S2 nach S3</Segment>
<Intersection name="S4" n="13" target="true" first="w4" second="k1" which="first">Schnitt zwischen w4 und k1</Intersection>
<Segment name="s4" n="14" target="true" from="S3" to="S4">Strecke von S3 nach S4</Segment>
<Segment name="s5" n="15" target="true" from="S4" to="P2">Strecke von S4 nach P2</Segment>
</Objects>
</Macro>
<Macro Name="NGons/Sexagon from Center">
<Parameter name="P1">M</Parameter>
<Parameter name="P2">R</Parameter>
<Comment>
<P>Generates a sexagon from center and corner.</P>
</Comment>
<Objects>
<Point name="P1" n="0" mainparameter="true" x="-0.7000000000000004" y="0.5125000000000004">Punkt in -0.7, 0.5125</Point>
<Point name="P2" n="1" mainparameter="true" x="1.1500000000000008" y="3.4375">Punkt in 1.15, 3.4375</Point>
<Circle name="k1" n="2" hidden="super" through="P2" midpoint="P1" acute="true">Kreis um P1 durch P2</Circle>
<Angle name="w1" n="3" hidden="super" first="P2" root="P1" fixed="60" acute="true">Fester Winkel P2 - P1 mit Größe 60</Angle>
<Intersection name="S1" n="4" target="true" first="w1" second="k1" which="first">Schnitt zwischen w1 und k1</Intersection>
<Angle name="w2" n="5" hidden="super" first="S1" root="P1" fixed="60" acute="true">Fester Winkel S1 - P1 mit Größe 60</Angle>
<Intersection name="S2" n="6" target="true" first="w2" second="k1" which="first">Schnitt zwischen w2 und k1</Intersection>
<Angle name="w3" n="7" hidden="super" first="S2" root="P1" fixed="60" acute="true">Fester Winkel S2 - P1 mit Größe 60</Angle>
<Intersection name="S3" n="8" target="true" first="w3" second="k1" which="first">Schnitt zwischen w3 und k1</Intersection>
<Angle name="w4" n="9" hidden="super" first="S3" root="P1" fixed="60" acute="true">Fester Winkel S3 - P1 mit Größe 60</Angle>
<Intersection name="S4" n="10" target="true" first="w4" second="k1" which="first">Schnitt zwischen w4 und k1</Intersection>
<Angle name="w5" n="11" hidden="super" first="S4" root="P1" fixed="60" acute="true">Fester Winkel S4 - P1 mit Größe 60</Angle>
<Intersection name="S5" n="12" target="true" first="w5" second="k1" which="first">Schnitt zwischen w5 und k1</Intersection>
<Segment name="s1" n="13" target="true" from="P2" to="S1">Strecke von P2 nach S1</Segment>
<Segment name="s2" n="14" target="true" from="S1" to="S2">Strecke von S1 nach S2</Segment>
<Segment name="s3" n="15" target="true" from="S2" to="S3">Strecke von S2 nach S3</Segment>
<Segment name="s4" n="16" target="true" from="S3" to="S4">Strecke von S3 nach S4</Segment>
<Segment name="s5" n="17" target="true" from="S4" to="S5">Strecke von S4 nach S5</Segment>
<Segment name="s6" n="18" target="true" from="S5" to="P2">Strecke von S5 nach P2</Segment>
</Objects>
</Macro>
<Macro Name="NGons/Square">
<Parameter name="P2">P1</Parameter>
<Parameter name="P4">P2</Parameter>
<Comment>
<P>Generates a square on one side.</P>
</Comment>
<Objects>
<Point name="P2" n="0" mainparameter="true" x="-3.8000000000000003" y="-2.1625">Punkt in -3.8, -2.1625</Point>
<Point name="P4" n="1" mainparameter="true" x="4.350000000000001" y="-2.2125000000000012">Punkt in 4.35, -2.2125</Point>
<Segment name="s1" n="2" target="true" from="P2" to="P4">Strecke von P2 nach P4</Segment>
<Plumb name="l1" n="3" hidden="super" point="P4" line="s1" valid="true">Lot durch P4 zu s1</Plumb>
<Circle name="k1" n="4" hidden="super" through="P2" midpoint="P4" acute="true">Kreis um P4 durch P2</Circle>
<Intersection name="S1" n="5" target="true" first="l1" second="k1" which="first">Schnitt zwischen l1 und k1</Intersection>
<Plumb name="l2" n="6" hidden="super" point="S1" line="l1" valid="true">Lot durch S1 zu l1</Plumb>
<Plumb name="l3" n="7" hidden="super" point="P2" line="s1" valid="true">Lot durch P2 zu s1</Plumb>
<Intersection name="S2" n="8" target="true" first="l3" second="l2">Schnitt zwischen l3 und l2</Intersection>
<Segment name="s2" n="9" target="true" from="P4" to="S1">Strecke von P4 nach S1</Segment>
<Segment name="s3" n="10" target="true" from="S1" to="S2">Strecke von S1 nach S2</Segment>
<Segment name="s4" n="11" target="true" from="S2" to="P2">Strecke von S2 nach P2</Segment>
</Objects>
</Macro>
<Macro Name="NGons/Squre from Center">
<Parameter name="P1">M</Parameter>
<Parameter name="P2">P</Parameter>
<Comment>
<P>Generates a square on one center and corner.</P>
</Comment>
<Objects>
<Point name="P1" n="0" mainparameter="true" x="0.32499999999999934" y="-0.23749999999999985">Punkt in 0.325, -0.2375</Point>
<Point name="P2" n="1" mainparameter="true" x="2.2750000000000012" y="2.5375">Punkt in 2.275, 2.5375</Point>
<Circle name="k1" n="2" hidden="super" through="P2" midpoint="P1" acute="true">Kreis um P1 durch P2</Circle>
<Angle name="w1" n="3" hidden="super" first="P2" root="P1" fixed="90" acute="true">Fester Winkel P2 - P1 mit Größe 90</Angle>
<Intersection name="S1" n="4" target="true" first="w1" second="k1" which="first">Schnitt zwischen w1 und k1</Intersection>
<Angle name="w2" n="5" hidden="super" first="S1" root="P1" fixed="90" acute="true">Fester Winkel S1 - P1 mit Größe 90</Angle>
<Intersection name="S2" n="6" target="true" first="w2" second="k1" which="first">Schnitt zwischen w2 und k1</Intersection>
<Angle name="w3" n="7" hidden="super" first="S2" root="P1" fixed="90" acute="true">Fester Winkel S2 - P1 mit Größe 90</Angle>
<Segment name="s1" n="8" target="true" from="S1" to="P2">Strecke von S1 nach P2</Segment>
<Intersection name="S3" n="9" target="true" first="w3" second="k1" which="first">Schnitt zwischen w3 und k1</Intersection>
<Segment name="s2" n="10" target="true" from="P2" to="S3">Strecke von P2 nach S3</Segment>
<Segment name="s3" n="11" target="true" from="S3" to="S2">Strecke von S3 nach S2</Segment>
<Segment name="s4" n="12" target="true" from="S2" to="S1">Strecke von S2 nach S1</Segment>
</Objects>
</Macro>
<Macro Name="NGons/Triangle from Center">
<Parameter name="P1">M</Parameter>
<Parameter name="P2">P</Parameter>
<Comment>
<P>Generates a square from center and one point.</P>
</Comment>
<Objects>
<Point name="P1" n="0" mainparameter="true" x="-0.8499999999999996" y="0.0625">Punkt in -0.85, 0.0625</Point>
<Point name="P2" n="1" mainparameter="true" x="2.1500000000000012" y="2.4125">Punkt in 2.15, 2.4125</Point>
<Circle name="k1" n="2" hidden="super" through="P2" midpoint="P1" acute="true">Kreis um P1 durch P2</Circle>
<Angle name="w1" n="3" hidden="super" first="P2" root="P1" fixed="120" acute="true">Fester Winkel P2 - P1 mit Größe 120</Angle>
<Intersection name="S1" n="4" target="true" first="w1" second="k1" which="first">Schnitt zwischen w1 und k1</Intersection>
<Angle name="w2" n="5" hidden="super" first="S1" root="P1" fixed="120" acute="true">Fester Winkel S1 - P1 mit Größe 120</Angle>
<Intersection name="S2" n="6" target="true" first="w2" second="k1" which="first">Schnitt zwischen w2 und k1</Intersection>
<Segment name="s1" n="7" target="true" from="S1" to="S2">Strecke von S1 nach S2</Segment>
<Segment name="s2" n="8" target="true" from="S2" to="P2">Strecke von S2 nach P2</Segment>
<Segment name="s3" n="9" target="true" from="P2" to="S1">Strecke von P2 nach S1</Segment>
</Objects>
</Macro>
</CaR>
